/*
 * Created on Mar 25, 2006
 *
 */
/**
   Copyright (C) 2006 by Alexei Krasnopolski

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/
package com.ak.osgi.service.rmi;

/**
 * <h5>
 * </h5>
 *
 * @author <a href="mailto:akrasnopolski@incomm.com">Alexei Krasnopolski</a>
 * @version 1.0.0
 */
public class RmiConstants
{
  public final static String KEY_LOCAL_REGISTRY_PORT = "local.rmi.registry.port";
  public final static String KEY_REMOTE_REGISTRY_HOST = "remote.rmi.registry.host";
  public final static String KEY_REMOTE_REGISTRY_PORT = "remote.rmi.registry.port";
  public final static String KEY_RMISERVICE_LOC = "rmiservice.local";
  public final static String KEY_RMISERVICE_REM = "rmiservice.remote";
  public final static String KEY_RMISERVICE_CLIENT_IDX = "rmiservice.clientidx";
  public final static long DELAY = 1000;  // msec start delay of waiting for live RMI Gate 
  public final static long PERIOD = 15000;  // msec period of request for running RMI Gate
  
}
